List ServiceUser Credentials
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/serviceusers/{id}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/serviceusers/{id}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/serviceusers/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"apiKey": "<string>",
"apiSecret": "<string>",
"inactive": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}List ServiceUser Credentials
Retrieve the credentials key pairs for a service user.
GET
/
organizations
/
{orgId}
/
serviceusers
/
{id}
/
credentials
List ServiceUser Credentials
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
UUID of the service user.
⌘I